Bug 483000 - missing requirements to squid
missing requirements to squid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-01-29 04:09 EST by Jan Hutař
Modified: 2009-09-10 14:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/rhn/rhn-installation.log (202.47 KB, application/octet-stream)
2009-01-29 04:09 EST, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2009-01-29 04:09:14 EST
Created attachment 330337 [details]
/var/log/rhn/rhn-installation.log

Description of problem:
Installer do not installs squid and continues without exiting.


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090127.2
yum-3.2.19-18.el5


How reproducible:
always (seen this on i386 and x86_64)


Steps to Reproduce:
1. try to install Satellite-5.3.0-RHEL5-re20090127.2


Actual results:
* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        createrepo
        jakarta-taglibs-standard
        mkisofs
        tftp-server
        xinetd
Warning: yum did not install the following packages:
        squid


Expected results:
should install all required packages (as I was able to run `yum install squid` later) or should exit with non-0 return code.


Additional info:
Satellite continued installation, but ended in state where gives only 404.

# yum repolist
Loaded plugins: rhnplugin, security
repo id              repo name                                status  
rhel-i386-server-5   Red Hat Enterprise Linux (v. 5 for 32-bi enabled :   5,082
rhel-i386-server-5-m MRG Messaging v. 1 (for RHEL 5 Server 32 enabled :      28
rhel-i386-server-5-r Red Hat Directory Server 8 (for RHEL 5 f enabled :      24
rhel-i386-server-clu RHEL Clustering (v. 5 for 32-bit x86)    enabled :     114
rhel-i386-server-clu RHEL Cluster-Storage (v. 5 for 32-bit x8 enabled :     173
rhel-i386-server-fas RHEL FasTrack (v. 5 for 32-bit x86)      enabled :     116
rhel-i386-server-hts RHEL Hardware Certification (v. 5 for 32 enabled :       9
rhel-i386-server-pro RHEL Optional Productivity Apps (v. 5 fo enabled :     889
rhel-i386-server-sup RHEL Supplementary (v. 5 for 32-bit x86) enabled :     311
rhel-i386-server-vt- RHEL Virtualization (v. 5 for 32-bit x86 enabled :     143
rhn-tools-rhel-i386- Red Hat Network Tools for RHEL Server (v enabled :     384
repolist: 7,273
Comment 1 Jan Pazdziora 2009-01-29 05:17:16 EST
Actually, squid is not needed on Satellite at all. It is a bogus warning, tracked in

https://engineering.redhat.com/rt3/Ticket/Display.html?id=34328

Reassigning to Dennis G. who owns the ticket as well.
Comment 2 Dennis Gilmore 2009-01-30 13:40:54 EST
squid is removed from rhelrpms.  this will be on the next compose
Comment 3 Steve Salevan 2009-03-13 14:48:51 EDT
I did not see this error upon the latest installation of 530-re20090306.2, so I'm moving this bug over to VERIFIED.

[root@gibson ~]# rpm -q squid
package squid is not installed
Comment 4 John Matthews 2009-08-07 14:47:46 EDT
Move to RELEASE_PENDING 
Satellite-5.3.0-RHEL5-re20090724.0-i386-embedded-oracle.iso

[root@sun-x4200-01 rhn]# grep -r "squid" rhn-installation.log*
[root@sun-x4200-01 rhn]# rpm -q squid
package squid is not installed
Comment 5 Brandon Perkins 2009-09-10 14:53:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.